biterp
Getting Started

Quickstart

Make your first call to the bitERP API in under 5 minutes.

Prerequisites

  • A bitERP account with administrator access
  • An API Key created (see Introduction)

Your first call

Replace sk_xxx_yyy with your real API Key.

curl

curl -X GET https://api.biterp.ai/products \
  -H "Authorization: Bearer sk_xxx_yyy" \
  -H "Content-Type: application/json"

JavaScript / TypeScript

const response = await fetch("https://api.biterp.ai/products", {
    headers: {
        Authorization: "Bearer sk_xxx_yyy",
        "Content-Type": "application/json",
    },
})

const data = await response.json()
console.log(data)

Python

import requests

response = requests.get(
    'https://api.biterp.ai/products',
    headers={
        'Authorization': 'Bearer sk_xxx_yyy',
        'Content-Type': 'application/json',
    },
)

data = response.json()
print(data)

Expected response

{
    "data": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "name": "Notebook Dell Inspiron",
            "sale_price": "4500.000000",
            "is_active": true,
            "created_at": "2026-01-15T10:30:00Z"
        }
    ],
    "has_next_page": false,
    "next_cursor": null
}

Decimal and monetary fields (such as sale_price) are sent and returned as strings in numeric(18,6) format, in both requests and responses. See response format.

Next steps

On this page